Package Details: mangohud-git 0.6.8.r66.g8450291-1

Git Clone URL: https://aur.archlinux.org/mangohud-git.git (read-only, click to copy)
Package Base: mangohud-git
Description: A Vulkan overlay layer for monitoring FPS, temperatures, CPU/GPU load and more.
Upstream URL: https://github.com/flightlessmango/MangoHud
Keywords: benchmark hud opengl overlay performance vulkan
Licenses: MIT
Conflicts: mangohud, mangohud-common, mangohud-common-git
Provides: mangohud, mangohud-common
Replaces: mangohud-common-git
Submitter: dnmodder
Maintainer: dnmodder (jackun)
Last Packager: dnmodder
Votes: 15
Popularity: 0.39
First Submitted: 2020-02-06 22:40 (UTC)
Last Updated: 2023-01-25 03:24 (UTC)

Required by (15)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

dnmodder commented on 2020-08-01 14:57 (UTC)

@PedroHLC I've just removed it from lib32-mangohud-git, later I'll consider adding it to mangohud-common, which is where it should be

PedroHLC commented on 2020-07-28 12:58 (UTC)

Please add rm "$pkgdir/usr/share/man/man1/mangohud.1" to both lib32 and x86_64 packages, and if you want add to common!

xenu commented on 2020-07-25 19:01 (UTC)

Getting the following: error: failed to commit transaction (conflicting files) /usr/share/man/man1/mangohud.1.gz exists in both 'lib32-mangohud-git' and 'mangohud-git'

rtentser commented on 2020-06-05 11:38 (UTC) (edited on 2020-06-06 19:35 (UTC) by rtentser)

https://aur.archlinux.org/packages/mangohud#comment-748947

I have the same problem with this package (mangohud-git). libxnvctrl installed, hud works fine. Looks like it searches for the library in wrong place, then founds it. Maybe an upstream problem.

UPD: Was fixed with lib32-libxnvctrl.

czapnaper commented on 2020-04-05 14:25 (UTC)

Fails to build:

`mangohud/meson.build:198:2: ERROR: Automatic wrap-based subproject downloading is disabled

A full log can be found at /home/czapnaper/Dokumenty/linux/mangohud-git/src/build64/meson-logs/meson-log.txt ==> ERROR: A failure occurred in build(). Aborting...`

To fix add -Duse_system_vulkan=enabled option.

FlightlessMango commented on 2020-03-15 16:30 (UTC)

@dnmodder sorry I'm just blind

dnmodder commented on 2020-03-15 16:20 (UTC)

@FlightlessMango I did that

FlightlessMango commented on 2020-03-15 16:12 (UTC)

You want to change to the develop branch, all changes are committed there and then merged into master for releases

Cybolic commented on 2020-03-15 12:13 (UTC) (edited on 2020-03-15 12:14 (UTC) by Cybolic)

I got it installed by doing the following:

@@ -54,7 +54,7 @@ package_mangohud-git() {
     conflicts=('mangohud')

     DESTDIR="$pkgdir" ninja -C build64 install
-    sed -i -e 's|libMangoHud.so|/usr/lib/&|g' "$pkgdir/usr/share/vulkan/implicit_layer.d/mangohud.json"
+    sed -i -e 's|libMangoHud.so|/usr/lib/&|g' "$pkgdir/usr/share/vulkan/implicit_layer.d/"[Mm]ango[Hh]ud*.json
     install -Dm644 "$_pkgbase/LICENSE" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
 }

@@ -64,8 +64,9 @@ package_lib32-mangohud-git() {
     conflicts=('lib32-mangohud')

     DESTDIR="$pkgdir" ninja -C build32 install
-    mv "$pkgdir/usr/share/vulkan/implicit_layer.d/"mangohud{,32}.json
+    mv "$pkgdir/usr/share/vulkan/implicit_layer.d/"[Mm]ango[Hh]ud*.json "$pkgdir/usr/share/vulkan/implicit_layer.d/mangohud32.json"
     sed -i -e 's|libMangoHud.so|/usr/lib32/&|g' -e 's|64bit|32bit|g' "$pkgdir/usr/share/vulkan/implicit_layer.d/mangohud32.json"

+    rm -r "$pkgdir/usr/share/doc/mangohud" # this already exists in the main package
     install -Dm644 "$_pkgbase/LICENSE" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
 }

Askannz commented on 2020-03-14 23:36 (UTC)

Fails to build:

sed: can't read /home/robin/tmp/mangohud-git/pkg/mangohud-git/usr/share/vulkan/implicit_layer.d/mangohud.json: No such file or directory